"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

'From Smalltalk/X, Version:2.10.6 on 4-aug-1995 at 1:24:43 am'                  !

ButtonController subclass:#PopUpListController
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Interface-Support-Controllers'
!

!PopUpListController class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

version
    ^ '$Header: /cvs/stx/stx/libwidg/Attic/PopUpLstC.st,v 1.3 1995-11-11 16:22:08 cg Exp $'
!

documentation
"
    redefined the behavior on various keys if my view has the focus.
"
! !

!PopUpListController methodsFor:'event handling'!

keyPress:key x:x y:y
    "pull menu on Return and space, if I am the focusView of my group
     (i.e. if I got an explicit focus)"

    <resource: #keyboard (#CursorUp #CursorDown)>

    view hasFocus ifTrue:[
	(key == #Return) ifTrue:[
	    view menu shown ifTrue:[
		self halt.
		^ self.
	    ].
	].
	(key == #CursorUp or:[key == #CursorDown]) ifTrue:[
	    view menu shown ifTrue:[
		key == #CursorUp ifTrue:[view menu selectNext]
				 ifFalse:[view menu selectPrevious].
		^ self.
	    ].
	].
	(key == #Return or:[key == Character space]) ifTrue:[
	    view menu exclusivePointer:false.
	    view menu hideOnRelease:true.
	    view popMenu.
	    view menu exclusivePointer:true.
	    ^ self.
	]
    ].
    view keyPress:key x:x y:y
! !
